"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _MaterialCommunityIcons = _interopRequireDefault(require("react-native-vector-icons/MaterialCommunityIcons"));
var _SliderComponent = _interopRequireDefault(require("./SliderComponent"));
var _color_constant = _interopRequireDefault(require("../constants/color_constant"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const PlayerControlsComponent = props => {
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      width: '100%',
      height: props.height + 10,
      position: 'absolute',
      zIndex: 1
    }
  }), props.isLoading && /*#__PURE__*/_react.default.createElement(_reactNative.ActivityIndicator, {
    size: "large",
    color: props.loadingColor || _color_constant.default.black,
    style: {
      position: 'absolute',
      zIndex: 1
    }
  }), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: () => props.togglePlaying(),
    style: [styles.touchableContainer, {
      height: props.height - 20
    }, props.playPauseContainerStyle]
  }), !props.isPlaying && /*#__PURE__*/_react.default.createElement(_MaterialCommunityIcons.default, {
    name: "play-circle-outline",
    size: 80,
    color: "rgba(255,255,255,0.7)",
    style: {
      position: 'absolute',
      zIndex: 1
    }
  }), !props.isLoading && /*#__PURE__*/_react.default.createElement(_SliderComponent.default, {
    playerRef: props.playerRef,
    isPlaying: props.isPlaying,
    isLoading: props.isLoading,
    videoState: props.videoState,
    durationFontSize: props.durationFontSize
  }));
};
const styles = _reactNative.StyleSheet.create({
  touchableContainer: {
    position: 'absolute',
    width: '100%',
    top: 0,
    zIndex: 10
  }
});
var _default = exports.default = PlayerControlsComponent;
//# sourceMappingURL=PlayerControlsComponent.js.map