"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _reactNativeSlider = require("@miblanchard/react-native-slider");
var _color_constant = _interopRequireDefault(require("../constants/color_constant"));
var _video_constant = require("../constants/video_constant");
var _video_util = _interopRequireDefault(require("../utils/video_util"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
class YoutubeIframePlayerSlider extends _react.default.Component {
  constructor(props) {
    super(props);
    this.state = {
      duration: 0,
      playSeconds: 0,
      thumbSize: 12,
      showDuration: false
    };
    this.countInterval = null;
  }
  async componentDidMount() {
    var _this$props$playerRef;
    this.setState({
      duration: await ((_this$props$playerRef = this.props.playerRef.current) === null || _this$props$playerRef === void 0 ? void 0 : _this$props$playerRef.getDuration())
    });
    this.countPlaySeconds();
  }
  componentWillUnmount() {
    !!this.countInterval && clearInterval(this.countInterval);
  }
  componentDidUpdate(prevProps, prevState) {
    if (prevProps.isPlaying != this.props.isPlaying && !this.props.isPlaying) !!this.countInterval && clearInterval(this.countInterval);else if (prevProps.isPlaying != this.props.isPlaying && this.props.isPlaying) this.countPlaySeconds();
  }
  countPlaySeconds() {
    this.countInterval = setInterval(() => {
      if (this.props.videoState != _video_constant.BUFFERING) this.setState({
        playSeconds: this.state.playSeconds + 1
      });
      if (this.props.videoState == _video_constant.ENDED) clearInterval(this.countInterval);
    }, 1000);
  }
  onSlidingComplete(value) {
    var _this$props$playerRef2;
    this.setState({
      thumbSize: 12,
      playSeconds: parseFloat(value)
    }, () => this.countPlaySeconds());
    setTimeout(() => this.setState({
      showDuration: false
    }), 2000);
    (_this$props$playerRef2 = this.props.playerRef.current) === null || _this$props$playerRef2 === void 0 || _this$props$playerRef2.seekTo(value, true);
  }
  onSlidingStart() {
    !!this.countInterval && clearInterval(this.countInterval);
    this.setState({
      thumbSize: 18,
      showDuration: true
    });
  }
  render() {
    if (!this.props.isPlaying) return /*#__PURE__*/_react.default.createElement(_reactNative.View, null);
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.sliderContainer
    }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: {
        marginLeft: 8,
        height: 21,
        position: 'absolute',
        zIndex: 1,
        top: -5
      }
    }, this.state.showDuration && /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: {
        fontSize: this.props.durationFontSize || 11,
        color: 'white'
      }
    }, _video_util.default.getFormattedPlaySeconds(this.state.playSeconds), " / ", _video_util.default.getFormattedPlaySeconds(this.state.duration))), /*#__PURE__*/_react.default.createElement(_reactNativeSlider.Slider, {
      value: this.state.playSeconds,
      disabled: this.state.playSeconds == this.state.duration,
      minimumValue: 0,
      maximumValue: this.state.duration,
      maximumTrackTintColor: _color_constant.default.lightGrayColor,
      minimumTrackTintColor: "#FF0000",
      trackClickable: true,
      containerStyle: {
        height: '100%',
        marginTop: 7
      },
      thumbTouchSize: {
        height: 50
      },
      thumbStyle: {
        backgroundColor: _color_constant.default.red,
        width: this.state.thumbSize,
        height: this.state.thumbSize
      },
      trackStyle: {
        height: this.state.thumbSize > 12 ? 6 : 4
      },
      onSlidingComplete: value => this.onSlidingComplete(value),
      onSlidingStart: value => this.onSlidingStart(),
      onValueChange: value => this.setState({
        playSeconds: parseFloat(value)
      })
    }));
  }
}
const styles = _reactNative.StyleSheet.create({
  sliderContainer: {
    bottom: _reactNative.Platform.OS == 'ios' ? -13 : -15,
    position: 'absolute',
    height: 46,
    width: '100%',
    zIndex: 20
  }
});
var _default = exports.default = YoutubeIframePlayerSlider;
//# sourceMappingURL=SliderComponent.js.map