"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _MaterialCommunityIcons = _interopRequireDefault(require("react-native-vector-icons/MaterialCommunityIcons"));
var _color_constant = _interopRequireDefault(require("../constants/color_constant"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const WarningMessageComponent = props => {
  const messages = {
    'no_internet': {
      km: 'មិនមានសេវាអ៊ីនធឺណិតដើម្បីលេងវីដេអូ',
      en: 'No internet connection to play the video'
    },
    'no_video': {
      km: 'មិនមានវីដេអូ',
      en: 'No video available'
    }
  };
  const error = !props.videoUrl ? {
    message: messages['no_video'][props.locale],
    icon: 'video-off-outline'
  } : {
    message: messages['no_internet'][props.locale],
    icon: 'wifi-off'
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      borderWidth: 0,
      alignItems: 'center',
      marginTop: -26
    }
  }, /*#__PURE__*/_react.default.createElement(_MaterialCommunityIcons.default, {
    name: error.icon,
    size: props.playIconSize || 38,
    color: _color_constant.default.lightGray
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: {
      color: _color_constant.default.lightGray,
      marginTop: 6,
      fontSize: props.labelSize || 14
    }
  }, error.message));
};
var _default = exports.default = WarningMessageComponent;
//# sourceMappingURL=WarningMessageComponent.js.map