"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _reactNativeYoutubeIframe = _interopRequireDefault(require("react-native-youtube-iframe"));
var _netinfo = _interopRequireDefault(require("@react-native-community/netinfo"));
var _WarningMessageComponent = _interopRequireDefault(require("./WarningMessageComponent"));
var _PlayerControlsComponent = _interopRequireDefault(require("./PlayerControlsComponent"));
var _video_constant = require("../constants/video_constant");
var _video_util = _interopRequireDefault(require("../utils/video_util"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const YoutubeIframePlayerComponent = props => {
  const [state, setState] = (0, _react.useReducer)((prev, next) => {
    return {
      ...prev,
      ...next
    };
  }, {
    isPlaying: true,
    isLoading: true,
    videoState: _video_constant.UNSTARTED
  });
  const [hasInternet, setHasInternet] = _react.default.useState(true);
  const playerRef = (0, _react.useRef)(null);
  const hasInternetRef = (0, _react.useRef)(true);
  const isLoadingRef = (0, _react.useRef)(state.isLoading);
  let timeout = null;
  const height = _video_util.default.getContainerHeight(props.height, props.isTablet);
  (0, _react.useEffect)(() => {
    _netinfo.default.fetch().then(state => {
      if (hasInternet != state.isConnected) setHasInternet(state.isConnected);
    });
    hasInternetRef.current = hasInternet;
    isLoadingRef.current = true;
    timeout = setTimeout(() => {
      setHasInternet(hasInternetRef.current && !isLoadingRef.current);
    }, 25000);
    return () => !!timeout && clearTimeout(timeout);
  }, []);
  const onReady = () => {
    setState({
      isLoading: false
    });
    isLoadingRef.current = false;
    !!props.onReady && props.onReady();
  };
  const renderVideoPlayer = () => {
    return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_PlayerControlsComponent.default, {
      playerRef: playerRef,
      isPlaying: state.isPlaying,
      isLoading: state.isLoading,
      videoState: state.videoState,
      playPauseContainerStyle: props.playPauseContainerStyle,
      height: height,
      loadingColor: props.loadingColor,
      durationFontSize: props.durationFontSize,
      togglePlaying: () => setState({
        isPlaying: !state.isPlaying
      })
    }), /*#__PURE__*/_react.default.createElement(_reactNativeYoutubeIframe.default, {
      ref: playerRef,
      height: '100%',
      width: '100%',
      play: state.isPlaying,
      videoId: _video_util.default.getVideoId(props.videoUrl),
      onReady: () => onReady(),
      initialPlayerParams: {
        controls: false,
        rel: false
      },
      onChangeState: event => setState({
        videoState: event
      })
    }));
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [{
      height: height + 10,
      width: props.width || '100%',
      alignItems: 'center',
      justifyContent: 'center'
    }, props.containerStyle]
  }, !hasInternet || !props.videoUrl ? /*#__PURE__*/_react.default.createElement(_WarningMessageComponent.default, {
    videoUrl: props.videoUrl,
    locale: props.locale || 'km',
    playIconSize: props.playIconSize,
    labelSize: props.labelSize
  }) : renderVideoPlayer());
};
var _default = exports.default = YoutubeIframePlayerComponent;
//# sourceMappingURL=YoutubeIframePlayerComponent.js.map